import { InlineMappingTemplateProvider, MappingTemplateType, S3MappingFunctionCodeProvider, S3MappingTemplateProvider } from '@aws-amplify/graphql-transformer-interfaces';
import { Construct } from 'constructs';
import { FileAsset } from './file-asset';
export declare class S3MappingFunctionCode implements S3MappingFunctionCodeProvider {
    readonly type = MappingTemplateType.S3_LOCATION;
    private asset?;
    private fileName;
    private filePath;
    constructor(fileName: string, filePath: string);
    bind(scope: Construct): FileAsset;
}
export declare class S3MappingTemplate implements S3MappingTemplateProvider {
    private content;
    private name;
    private asset?;
    readonly type = MappingTemplateType.S3_LOCATION;
    static fromFile(name: string, path: string): S3MappingTemplate;
    static fromInlineTemplate(code: string, templateName?: string): S3MappingTemplate;
    constructor(content: string, name?: string);
    bind(scope: Construct): string;
    getTemplateHash(): string;
    substitueValues(values: Record<string, string | number>): void;
}
export declare class InlineTemplate implements InlineMappingTemplateProvider {
    private content;
    readonly type = MappingTemplateType.INLINE;
    constructor(content: string);
    bind(): string;
    getTemplateHash(): string;
}
export declare class MappingTemplate {
    static inlineTemplateFromString(template: string): InlineTemplate;
    static s3MappingTemplateFromString(template: string, templateName: string): S3MappingTemplate;
}
//# sourceMappingURL=template-asset.d.ts.map